package u10a1;

import java.util.Vector;

/**
 * Sort algorithms for comparable things
 * 
 * @param <T>
 *            The type of the things which are sorted.
 */
public interface ISort<T extends Comparable<T>> {
	/**
	 * Sorts a vector of comparable things
	 * 
	 * @param items
	 *            the vector of comparable things. 
	 *            This vector is not altered.
	 * @return an in ascending order sorted copy of the given vector
	 */
	public Vector<T> sort(Vector<T> items);
}
